︠89982f46-da7d-4e13-8f96-29e7daeb3e21s︠
%typeset_mode True

︡c20d607c-96e4-4f9a-af4f-9b01a2382cde︡{"done":true}︡
︠2a9f7d8a-d8fa-42a2-965f-f0e114c5b061i︠
%md
## Exercice n,2 du devoir n.2

### On commence par le dessin de surface.
︡5343820c-5023-4cad-a2a2-72e5f2022666︡{"done":true,"md":"## Exercice n,2 du devoir n.2\n\n### On commence par le dessin de surface."}
︠b4561df5-58b0-4eee-82b1-0fff6060450ds︠
var('x,y')
f(x,y) = (x^3*y-x*y^3)/(x^2+ y^2)
S=plot3d(f,(x,-2,2),(y,-1,1), color="lightgreen", opacity = 0.45, mesh = 0.2)
S.show()
︡dff23d2f-f754-448b-804a-258ed3707d27︡{"stdout":"(x, y)\n"}︡{"file":{"filename":"50da34e2-b82e-449c-8ec1-2c8ac79e9c53.sage3d","uuid":"50da34e2-b82e-449c-8ec1-2c8ac79e9c53"}}︡{"done":true}︡
︠d4fbfda0-4f51-4afe-829b-09afe67c4657i︠
%md
### Calcul des dérivées partielles, pour $(x,y) \ne (0,0)$.
︡7c881a50-f354-4af9-8f73-235f62713cc4︡{"done":true,"md":"### Calcul des dérivées partielles, pour $(x,y) \\ne (0,0)$."}
︠e2b26fe2-fcfd-4b39-80f8-09da1fae92bcs︠
fx(x,y) = diff(f(x,y),x).factor()
fx(x,y)
︡6deb835f-fd0b-4358-81d5-e8721824bf5a︡{"html":"<div align='center'>$\\displaystyle \\frac{{\\left(x^{4} + 4 \\, x^{2} y^{2} - y^{4}\\right)} y}{{\\left(x^{2} + y^{2}\\right)}^{2}}$</div>"}︡{"done":true}︡
︠faa29764-3063-4ee1-aae2-dd4ea4bd3fa1s︠
fy(x,y) = diff(f(x,y),y).factor()
fy(x,y)
︡2f3394c2-0190-4de3-a769-0493e963d0af︡{"html":"<div align='center'>$\\displaystyle \\frac{{\\left(x^{4} - 4 \\, x^{2} y^{2} - y^{4}\\right)} x}{{\\left(x^{2} + y^{2}\\right)}^{2}}$</div>"}︡{"done":true}︡
︠f96d42c5-92a2-447c-8a0b-e87d557dea4ci︠
%md
### Voyons les défivées secondes, et leur continuité : on voit bien, dans le diagramme des courbes de niveau, qu'il y a un problème de continuité.
︡38986014-8a7c-4007-8dad-f33392183021︡{"done":true,"md":"### Voyons les défivées secondes, et leur continuité : on voit bien, dans le diagramme des courbes de niveau, qu'il y a un problème de continuité."}
︠5d6c990a-ce24-48fb-9bb5-14052c3640c0s︠
fxy(x,y) = diff(f(x,y),x,y).factor()
fxy(x,y)
︡0f9e8706-0749-4068-945f-31aad138f065︡{"html":"<div align='center'>$\\displaystyle \\frac{{\\left(x^{4} + 10 \\, x^{2} y^{2} + y^{4}\\right)} {\\left(x + y\\right)} {\\left(x - y\\right)}}{{\\left(x^{2} + y^{2}\\right)}^{3}}$</div>"}︡{"done":true}︡
︠f988e782-694a-4e92-9f66-6b16a4bb8e7fs︠
cmsel = [colormaps['autumn'](i) for i in sxrange(0,1,0.05)]
C= contour_plot(fxx, (x,-0.5, 0.5), (y,-0.5, 0.5),cmap='autumn',linestyles='solid', fill=True)
show(C,figsize=4)
︡778a923f-1291-4ae0-b9f9-9ca907b28c27︡{"file":{"filename":"/projects/376921f2-eda3-44fc-b33d-1550746c3549/.sage/temp/compute6-us/19161/tmp_Nh52fE.svg","show":true,"text":null,"uuid":"5497dbc3-d977-4fd3-bb37-1e4c5a1c44fa"},"once":false}︡{"done":true}︡
︠9ec57498-e912-4570-959a-b6d9621cc583s︠
fyx(x,y) = diff(f(x,y),y,x).factor()
fyx(x,y)
︡0a4198c5-d7ce-4c5e-93e3-1e1be50cad60︡{"html":"<div align='center'>$\\displaystyle \\frac{{\\left(x^{4} + 10 \\, x^{2} y^{2} + y^{4}\\right)} {\\left(x + y\\right)} {\\left(x - y\\right)}}{{\\left(x^{2} + y^{2}\\right)}^{3}}$</div>"}︡{"done":true}︡
︠4923d13c-9875-4bd1-b923-04e8e53bc5ca︠

︡7bc2548f-1eca-47f1-9018-56f13d0eef23︡
︠457655ba-64a9-41d0-9b96-4acd641ef9b1︠
%md
## Question 1

on considère la courbe $\mathbf{r}(t) = (t^3, 3t,t^4)$. On veut savoir s'il existe un point où son plan osculateur est parallè au plan $x+y+z=1$.
︡b0c7d6cd-b470-4d00-a14a-c936014a7e18︡{"done":true,"md":"## Question 1\n\non considère la courbe $\\mathbf{r}(t) = (t^3, 3t,t^4)$. On veut savoir s'il existe un point où son plan osculateur est parallè au plan $x+y+z=1$."}
︠a0a9c878-fd1d-4c2c-8c6e-2d3d635d7350s︠
︡f9347b73-5c73-459f-989b-978691dc6329︡{"done":true}︡
︠1131399a-2ae1-461d-ae06-6f8bd35566d0s︠
var('t')
assume(t, "real")

def x(t) :
	return t^3

def y(t):
	return(3*t)

def z(t) :
	return(t^4)
︡a700f663-af76-4dca-a9a5-8206d7d3b802︡{"html":"<div align='center'>$\\displaystyle t$</div>"}︡{"done":true}︡
︠366341c8-1d2e-4d16-8d06-dd837473a51es︠
def r(t) :
	return(vector([x(t), y(t), z(t)]))

r(t)
︡bb76dd83-8f8b-4de9-afc0-93079f741cdc︡{"html":"<div align='center'>$\\displaystyle \\left(t^{3},\\,3 \\, t,\\,t^{4}\\right)$</div>"}︡{"done":true}︡
︠827f0090-775a-4f22-8e2d-8762a9370d7es︠
n=vector([6,6,-8])
︡70102bff-5aea-4851-a8e1-45081689c55d︡{"done":true}︡
︠c50d51d6-7862-478b-9181-f77dcd2f7fa0s︠

︡a8fd9d8b-dffc-4faa-af98-a2fc86050bbe︡{"done":true}︡
︠e9cfaa29-ce98-4a8c-bb22-72285ab910f9s︠
def v(t) :
	return(diff(r(t),t))

v(t)

︡310d746f-93ef-47e2-9f7a-1ce6d3719e35︡{"html":"<div align='center'>$\\displaystyle \\left(3 \\, t^{2},\\,3,\\,4 \\, t^{3}\\right)$</div>"}︡{"done":true}︡
︠c0100f1c-2fa6-4220-b52b-cdbf3c6a01a5s︠
v(t).cross_product(n)
︡7024d782-5f65-41d2-80a4-5698b8e1538e︡{"html":"<div align='center'>$\\displaystyle \\left(-24 \\, t^{3} - 24,\\,24 \\, t^{3} + 24 \\, t^{2},\\,18 \\, t^{2} - 18\\right)$</div>"}︡{"done":true}︡
︠ffd09d38-017d-49a3-95c3-ff3337a4c21a︠
%md
### Le calcul du vecteur binormal $\mathbf{B}(t)$ demande un peu plus de travail
︡21950be3-01b1-4ca1-9f12-7771296479dd︡{"done":true,"md":"### Le calcul du vevteur binormal $\\mathbf{B}(t)$ demande un peu plus de travail"}
︠859c4ee4-e77c-489d-9fec-b546e75c165es︠
def T(t) :
	return v(t)/v(t).norm()

T(t)

︡cfd327ca-44c1-4442-8b6c-dcff47bd91a2︡{"html":"<div align='center'>$\\displaystyle \\left(\\frac{3 \\, t^{2}}{\\sqrt{16 \\, t^{6} + 9 \\, t^{4} + 9}},\\,\\frac{3}{\\sqrt{16 \\, t^{6} + 9 \\, t^{4} + 9}},\\,\\frac{4 \\, t^{3}}{\\sqrt{16 \\, t^{6} + 9 \\, t^{4} + 9}}\\right)$</div>"}︡{"done":true}︡
︠a7c7f829-cfe3-4d36-86be-a2fdb528d380s︠
def N(t) :
	return(diff(T(t),t) / diff(T(t),t).norm().factor())
N(t)
︡a453763c-9907-40c9-925b-d3a0deaeadd0︡{"html":"<div align='center'>$\\displaystyle \\left(-\\frac{\\frac{3 \\, {\\left(8 \\, t^{5} + 3 \\, t^{3}\\right)} t^{2}}{{\\left(16 \\, t^{6} + 9 \\, t^{4} + 9\\right)}^{\\frac{3}{2}}} - \\frac{t}{\\sqrt{16 \\, t^{6} + 9 \\, t^{4} + 9}}}{\\sqrt{\\frac{{\\left(4 \\, t^{6} + 36 \\, t^{2} + 9\\right)} t^{2}}{{\\left(16 \\, t^{6} + 9 \\, t^{4} + 9\\right)}^{2}}}},\\,-\\frac{3 \\, {\\left(8 \\, t^{5} + 3 \\, t^{3}\\right)}}{{\\left(16 \\, t^{6} + 9 \\, t^{4} + 9\\right)}^{\\frac{3}{2}} \\sqrt{\\frac{{\\left(4 \\, t^{6} + 36 \\, t^{2} + 9\\right)} t^{2}}{{\\left(16 \\, t^{6} + 9 \\, t^{4} + 9\\right)}^{2}}}},\\,-\\frac{2 \\, {\\left(\\frac{2 \\, {\\left(8 \\, t^{5} + 3 \\, t^{3}\\right)} t^{3}}{{\\left(16 \\, t^{6} + 9 \\, t^{4} + 9\\right)}^{\\frac{3}{2}}} - \\frac{t^{2}}{\\sqrt{16 \\, t^{6} + 9 \\, t^{4} + 9}}\\right)}}{\\sqrt{\\frac{{\\left(4 \\, t^{6} + 36 \\, t^{2} + 9\\right)} t^{2}}{{\\left(16 \\, t^{6} + 9 \\, t^{4} + 9\\right)}^{2}}}}\\right)$</div>"}︡{"done":true}︡
︠bd404f2c-3bfd-43cd-846c-8bdfcaddd644s︠
def B(t):
	return(N(t).cross_product(T(t)))
B(t)
︡f587b67b-9146-40e4-9274-11270c52e8c1︡{"html":"<div align='center'>$\\displaystyle \\left(-\\frac{12 \\, {\\left(8 \\, t^{5} + 3 \\, t^{3}\\right)} t^{3}}{{\\left(16 \\, t^{6} + 9 \\, t^{4} + 9\\right)}^{2} \\sqrt{\\frac{{\\left(4 \\, t^{6} + 36 \\, t^{2} + 9\\right)} t^{2}}{{\\left(16 \\, t^{6} + 9 \\, t^{4} + 9\\right)}^{2}}}} + \\frac{6 \\, {\\left(\\frac{2 \\, {\\left(8 \\, t^{5} + 3 \\, t^{3}\\right)} t^{3}}{{\\left(16 \\, t^{6} + 9 \\, t^{4} + 9\\right)}^{\\frac{3}{2}}} - \\frac{t^{2}}{\\sqrt{16 \\, t^{6} + 9 \\, t^{4} + 9}}\\right)}}{\\sqrt{16 \\, t^{6} + 9 \\, t^{4} + 9} \\sqrt{\\frac{{\\left(4 \\, t^{6} + 36 \\, t^{2} + 9\\right)} t^{2}}{{\\left(16 \\, t^{6} + 9 \\, t^{4} + 9\\right)}^{2}}}},\\,\\frac{4 \\, {\\left(\\frac{3 \\, {\\left(8 \\, t^{5} + 3 \\, t^{3}\\right)} t^{2}}{{\\left(16 \\, t^{6} + 9 \\, t^{4} + 9\\right)}^{\\frac{3}{2}}} - \\frac{t}{\\sqrt{16 \\, t^{6} + 9 \\, t^{4} + 9}}\\right)} t^{3}}{\\sqrt{16 \\, t^{6} + 9 \\, t^{4} + 9} \\sqrt{\\frac{{\\left(4 \\, t^{6} + 36 \\, t^{2} + 9\\right)} t^{2}}{{\\left(16 \\, t^{6} + 9 \\, t^{4} + 9\\right)}^{2}}}} - \\frac{6 \\, {\\left(\\frac{2 \\, {\\left(8 \\, t^{5} + 3 \\, t^{3}\\right)} t^{3}}{{\\left(16 \\, t^{6} + 9 \\, t^{4} + 9\\right)}^{\\frac{3}{2}}} - \\frac{t^{2}}{\\sqrt{16 \\, t^{6} + 9 \\, t^{4} + 9}}\\right)} t^{2}}{\\sqrt{16 \\, t^{6} + 9 \\, t^{4} + 9} \\sqrt{\\frac{{\\left(4 \\, t^{6} + 36 \\, t^{2} + 9\\right)} t^{2}}{{\\left(16 \\, t^{6} + 9 \\, t^{4} + 9\\right)}^{2}}}},\\,\\frac{9 \\, {\\left(8 \\, t^{5} + 3 \\, t^{3}\\right)} t^{2}}{{\\left(16 \\, t^{6} + 9 \\, t^{4} + 9\\right)}^{2} \\sqrt{\\frac{{\\left(4 \\, t^{6} + 36 \\, t^{2} + 9\\right)} t^{2}}{{\\left(16 \\, t^{6} + 9 \\, t^{4} + 9\\right)}^{2}}}} - \\frac{3 \\, {\\left(\\frac{3 \\, {\\left(8 \\, t^{5} + 3 \\, t^{3}\\right)} t^{2}}{{\\left(16 \\, t^{6} + 9 \\, t^{4} + 9\\right)}^{\\frac{3}{2}}} - \\frac{t}{\\sqrt{16 \\, t^{6} + 9 \\, t^{4} + 9}}\\right)}}{\\sqrt{16 \\, t^{6} + 9 \\, t^{4} + 9} \\sqrt{\\frac{{\\left(4 \\, t^{6} + 36 \\, t^{2} + 9\\right)} t^{2}}{{\\left(16 \\, t^{6} + 9 \\, t^{4} + 9\\right)}^{2}}}}\\right)$</div>"}︡{"done":true}︡
︠242e788f-4013-4211-91b2-86717ea1d1ccs︠
diff(T(t),t)
︡77b633ef-a01d-48a9-98d1-1edca8f36deb︡{"html":"<div align='center'>$\\displaystyle \\left(-\\frac{18 \\, {\\left(8 \\, t^{5} + 3 \\, t^{3}\\right)} t^{2}}{{\\left(16 \\, t^{6} + 9 \\, t^{4} + 9\\right)}^{\\frac{3}{2}}} + \\frac{6 \\, t}{\\sqrt{16 \\, t^{6} + 9 \\, t^{4} + 9}},\\,-\\frac{18 \\, {\\left(8 \\, t^{5} + 3 \\, t^{3}\\right)}}{{\\left(16 \\, t^{6} + 9 \\, t^{4} + 9\\right)}^{\\frac{3}{2}}},\\,-\\frac{24 \\, {\\left(8 \\, t^{5} + 3 \\, t^{3}\\right)} t^{3}}{{\\left(16 \\, t^{6} + 9 \\, t^{4} + 9\\right)}^{\\frac{3}{2}}} + \\frac{12 \\, t^{2}}{\\sqrt{16 \\, t^{6} + 9 \\, t^{4} + 9}}\\right)$</div>"}︡{"done":true}︡
︠5ca52510-e423-4975-bce0-8dac2cb52f4f︠

︠bf45850e-0d9b-47e2-a728-caa66e658541︠










